## CongAttributeWrapper

CongAttributeWrapper —

## Synopsis

    struct      CongAttributeWrapper;
    #define     CONG_ATTRIBUTE_WRAPPER          (obj)
    #define     CONG_ATTRIBUTE_WRAPPER_CLASS    (klass)
    #define     IS_CONG_ATTRIBUTE_WRAPPER       (obj)
    GType       cong_attribute_wrapper_get_type (void);
    CongAttributeWrapper* cong_attribute_wrapper_construct
                                                (CongAttributeWrapper *attribute_wrapper,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);
    CongDocument* cong_attribute_wrapper_get_document
                                                (CongAttributeWrapper *attribute_wrapper);
    CongNodePtr cong_attribute_wrapper_get_node (CongAttributeWrapper *attribute_wrapper);
    xmlNs*      cong_attribute_wrapper_get_ns   (CongAttributeWrapper *attribute_wrapper);
    const gchar* cong_attribute_wrapper_get_attribute_name
                                                (CongAttributeWrapper *attribute_wrapper);
    gchar*      cong_attribute_wrapper_get_attribute_value
                                                (CongAttributeWrapper *attribute_wrapper);
    void        cong_attribute_wrapper_set_value
                                                (CongAttributeWrapper *attribute_wrapper,
                                                 const gchar *new_value);
    void        cong_attribute_wrapper_remove_value
                                                (CongAttributeWrapper *attribute_wrapper);
    void        cong_attribute_wrapper_bind_to_widget
                                                (CongAttributeWrapper *wrapper,
                                                 GtkWidget *widget);

## Object Hierarchy

      GObject
       +----CongAttributeWrapper
             +----CongAttributeWrapperCheckButton
             +----CongAttributeWrapperRadioButton

## Description

## Details

### struct CongAttributeWrapper

    struct CongAttributeWrapper;

### CONG_ATTRIBUTE_WRAPPER()

    #define CONG_ATTRIBUTE_WRAPPER(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_ATTRIBUTE_WRAPPER_TYPE, CongAttributeWrapper)

`obj` : |

### CONG_ATTRIBUTE_WRAPPER_CLASS()

    #define CONG_ATTRIBUTE_WRAPPER_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_ATTRIBUTE_WRAPPER_TYPE, CongAttributeWrapperClass)

`klass` : |

### IS_CONG_ATTRIBUTE_WRAPPER()

    #define IS_CONG_ATTRIBUTE_WRAPPER(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_ATTRIBUTE_WRAPPER_TYPE)

`obj` : |

### cong_attribute_wrapper_get_type ()

    GType       cong_attribute_wrapper_get_type (void);

Returns : |

### cong_attribute_wrapper_construct ()

    CongAttributeWrapper* cong_attribute_wrapper_construct
                                                (CongAttributeWrapper *attribute_wrapper,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);

TODO: Write me

`attribute_wrapper` : |
`doc` : |
`node` : |
`ns_ptr` : |
`attribute_name` : |
Returns : |

### cong_attribute_wrapper_get_document ()

    CongDocument* cong_attribute_wrapper_get_document
                                                (CongAttributeWrapper *attribute_wrapper);

TODO: Write me

`attribute_wrapper` : |
Returns : |

### cong_attribute_wrapper_get_node ()

    CongNodePtr cong_attribute_wrapper_get_node (CongAttributeWrapper *attribute_wrapper);

TODO: Write me

`attribute_wrapper` : |
Returns : |

### cong_attribute_wrapper_get_ns ()

    xmlNs*      cong_attribute_wrapper_get_ns   (CongAttributeWrapper *attribute_wrapper);

TODO: Write me

`attribute_wrapper` : |
Returns : |

### cong_attribute_wrapper_get_attribute_name ()

    const gchar* cong_attribute_wrapper_get_attribute_name
                                                (CongAttributeWrapper *attribute_wrapper);

TODO: Write me

`attribute_wrapper` : |
Returns : |

### cong_attribute_wrapper_get_attribute_value ()

    gchar*      cong_attribute_wrapper_get_attribute_value
                                                (CongAttributeWrapper *attribute_wrapper);

Returns the content of the attribute represented by `attribute_wrapper`.

`attribute_wrapper` : |
Returns : | The content of the attribute, to be freed by the caller. Can be NULL.

### cong_attribute_wrapper_set_value ()

    void        cong_attribute_wrapper_set_value
                                                (CongAttributeWrapper *attribute_wrapper,
                                                 const gchar *new_value);

TODO: Write me

`attribute_wrapper` : |
`new_value` : |

### cong_attribute_wrapper_remove_value ()

    void        cong_attribute_wrapper_remove_value
                                                (CongAttributeWrapper *attribute_wrapper);

TODO: Write me

`attribute_wrapper` : |

### cong_attribute_wrapper_bind_to_widget ()

    void        cong_attribute_wrapper_bind_to_widget
                                                (CongAttributeWrapper *wrapper,
                                                 GtkWidget *widget);

TODO: Write me

`wrapper` : |
`widget` : |